function currentDate(){
	var d = new Date();
	var curr_date = d.getDate();
	var curr_month = d.getMonth();
	curr_month++;
	var curr_year = d.getFullYear();
	return curr_month + "/" + curr_date + "/" + curr_year;
}

function formatDate(strDate){

	num_Month=strDate.substr(0,2);
	num_Day=strDate.substr(3,2);

	if(num_Month=='01'){str_Month='Jan'}
	if(num_Month=='02'){str_Month='Feb'}
	if(num_Month=='03'){str_Month='Mar'}
	if(num_Month=='04'){str_Month='Apr'}
	if(num_Month=='05'){str_Month='May'}
	if(num_Month=='06'){str_Month='Jun'}
	if(num_Month=='07'){str_Month='Jul'}
	if(num_Month=='08'){str_Month='Aug'}
	if(num_Month=='09'){str_Month='Sep'}
	if(num_Month=='10'){str_Month='Oct'}
	if(num_Month=='11'){str_Month='Nov'}
	if(num_Month=='12'){str_Month='Dec'}
		
	if(rss_language=='IT'){
		if(num_Month=='01'){str_Month='Gen'}
		if(num_Month=='02'){str_Month='Feb'}
		if(num_Month=='03'){str_Month='Mar'}
		if(num_Month=='04'){str_Month='Apr'}
		if(num_Month=='05'){str_Month='Mag'}
		if(num_Month=='06'){str_Month='Giu'}
		if(num_Month=='07'){str_Month='Lug'}
		if(num_Month=='08'){str_Month='Ago'}
		if(num_Month=='09'){str_Month='Set'}
		if(num_Month=='10'){str_Month='Ott'}
		if(num_Month=='11'){str_Month='Nov'}
		if(num_Month=='12'){str_Month='Dic'}
	}
	
return parseFloat(num_Day) +', '+ str_Month;

}

function formatLang(strText){
	
	tmpText=strText;
	
	if(rss_language=='IT'){
		tmpText=tmpText.replace('Now','Adesso');
		tmpText=tmpText.replace('Today','Oggi');
		tmpText=tmpText.replace('Tomorrow','Domani');
		
		tmpText=tmpText.replace('Increasing cloudiness','Nuvole in aumento');
		tmpText=tmpText.replace('Clouds giving way to some sun','Parzialmente nuvoloso');
		tmpText=tmpText.replace('Colder; areas of morning fog','Freddo, nebbia in mattinata');
		tmpText=tmpText.replace('Brilliant sunshine','Molto Soleggiato');


		tmpText=tmpText.replace('Sunny','Soleggiato').replace('sunny','soleggiato');
		tmpText=tmpText.replace(' Sun ',' Sole ').replace(' sun ',' sole ');
		tmpText=tmpText.replace('Sunshine','Sole').replace('sunshine','sole');
		tmpText=tmpText.replace('Clear','Sereno').replace('clear','sereno');
		
		tmpText=tmpText.replace('Mostly','Maggiormente').replace('mostly','maggiormente');
		tmpText=tmpText.replace('Partly','Parzialmente').replace('partly','parzialmente');
		tmpText=tmpText.replace('Heavy','Forti').replace('heavy','forti');
		tmpText=tmpText.replace('Heavier','Forte').replace('heavier','forte');
		tmpText=tmpText.replace('Plenty','Abbondanza').replace('plenty','abbondanza');
		 
		
		tmpText=tmpText.replace('Cloudy','Nuvoloso').replace('cloudy','nuvoloso');
		tmpText=tmpText.replace('Overcast','Nuvoloso').replace('overcast','nuvoloso');
		 
		tmpText=tmpText.replace('Clouds','Nubi').replace('clouds','nubi');
		
		tmpText=tmpText.replace('Humid','Umido').replace('humid','umido');
		tmpText=tmpText.replace('Rain','Pioggia').replace('rain','pioggia');
		tmpText=tmpText.replace('Showers','Pioggie').replace('showers','pioggie');
		tmpText=tmpText.replace('Shower','Pioggia').replace('shower','pioggia');
		tmpText=tmpText.replace('t-storms','temporali').replace('t-storm','temporale');
		tmpText=tmpText.replace('Thunderstorms','Temporali').replace('thunderstorms','temporali');
		tmpText=tmpText.replace('Thunderstorm','Temporale').replace('thunderstorm','temporale');
		 
		
		tmpText=tmpText.replace('Colder','Freddo').replace('colder','freddo');
		tmpText=tmpText.replace('Cold','Freddo').replace('cold','freddo');		
		tmpText=tmpText.replace('Warmer','Caldo').replace('warmer','caldo');		
		tmpText=tmpText.replace('Warm','Caldo').replace('warm','caldo');		
		tmpText=tmpText.replace('Light','Leggera').replace('light','leggera');
		
		
		tmpText=tmpText.replace('Snow','Neve').replace('snow','neve');
		tmpText=tmpText.replace('Lake-effect','Effetto lago').replace('lake-effect','effetto lago');
		
		tmpText=tmpText.replace('Flurries','').replace('flurries','');
		tmpText=tmpText.replace('Around','').replace('around','');
		tmpText=tmpText.replace('Couple of','Alcuni').replace('couple of','Alcuni');
		tmpText=tmpText.replace('A full day of','Una giornata di');
   		tmpText=tmpText.replace('Times','Giornata');
    
		 
		tmpText=tmpText.replace('in spots','possibili').replace('in spots','possibili');
		tmpText=tmpText.replace('Pleasant','Piacevole').replace('pleasant','piacevole');
		tmpText=tmpText.replace('Spotty','Possibili').replace('spotty','possibili');
		 
		
		tmpText=tmpText.replace('In places ','').replace('in places','');
		

 
		tmpText=tmpText.replace(' And ',' E ').replace(' and ',' e ');
		tmpText=tmpText.replace(' A ',' Un ').replace(' a ',' un ');
		tmpText=tmpText.replace(' With ',' Con ').replace(' with ',' con ');
		tmpText=tmpText.replace(' In the ',' Nel ').replace(' in the ',' nel ');
		tmpText=tmpText.replace(' Of ',' Di ').replace(' of ',' di ');
		tmpText=tmpText.replace(' To ',' a ').replace(' to ',' a '); 
		tmpText=tmpText.replace(' Some ',' Alcune ').replace(' some ',' alcune ');
		tmpText=tmpText.replace(' Few ',' Poco di ').replace(' few ',' poco di ');
		tmpText=tmpText.replace(' Turning ',' Tendente al ').replace(' turning ',' tendente al ');
		tmpText=tmpText.replace(' Low ',' Basse ').replace(' low ',' basse ');
	}
	
return tmpText;  
} 

String.prototype.capitalize = function(){ //v1.0
	 return this.replace(/\w+/g, function(a){
	 return a.charAt(0).toUpperCase() + a.substr(1).toLowerCase();
	});
};


//GESTIONE COOKIE
function createCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function eraseCookie(name) {
	createCookie(name,"",-1);
}

function textForCookie(value){
	value=value.replace(/,/g,"@").replace(/;/g,'£').replace(/:/g,'#').replace(/</g,'').replace(/\n/g,'');
	return value;
}

function textFromCookie(value){
	value=value.replace(/@/g,",").replace(/£/g,';').replace(/#/g,':');
	return value;
}